Package com.pixelmed.network

## Class IdentifierHandler

- java.lang.Object
- - com.pixelmed.network.IdentifierHandler

- Direct Known Subclasses:
    `QueryTreeRecord.OurResponseIdentifierHandler`

      public class IdentifierHandler
      extends java.lang.Object

  This class provides a mechanism to process each identifier response of a C-FIND as it is received.

  Typically a private sub-class would be declared and instantiated with overriding methods to do something useful with the identifier, rather than the default behavior which is just to dump it to stderr.

  See Also:
    `FindSOPClassSCU`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdentifierHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doSomethingWithIdentifier​(AttributeList identifier)` | Called when a response identifier has been received.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentifierHandler

          public IdentifierHandler()

  - ### Method Detail

    - #### doSomethingWithIdentifier

          public void doSomethingWithIdentifier​(AttributeList identifier)
                                         throws DicomException

      Called when a response identifier has been received.

      Parameters:
        `identifier` - the list of attributes received
      Throws:
        `DicomException`